Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	C++ wrapper for the libxml2 XML parser library.
Name:      	libxml++
Version:   	2.13.1
Release:   	1
Provides:	libxml++
Requires:	libxml2 glibmm
BuildRequires:  libxml2-devel glibmm-devel 
License: 	GNU/GPL
URL:		http://libxmlplusplus.sourceforge.net/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.

%package devel
Summary: 	libxml++ development headers.
Group:     	%{group}
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with libxml2.

%package doc
Summary: 	%{name} documents.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description doc
%{name} documents.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--with-history
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%files doc
%defattr(-,root,root)
%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.1-1
- Update to Version 2.13.1, added doc package
* Wed Jul 13 2005 Christian Metzen <metzench@ccux-linux.de> 2.10.0-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.10.0-1
- Version Update to 2.10.0 rebuilt spec
* Mon Dec 27 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.4-1
- Initial Release